name: unix
version: 2.7.2.0
id: unix-2.7.2.0
key: unix-2.7.2.0
license: BSD3
maintainer: libraries@haskell.org
homepage: https://github.com/haskell/unix
synopsis: POSIX functionality
description:
    This package gives you access to the set of operating system
    services standardised by
    <http://pubs.opengroup.org/onlinepubs/9699919799/ POSIX.1-2008>
    (or the IEEE Portable Operating System Interface for Computing
    Environments - IEEE Std. 1003.1).
    .
    The package is not supported under Windows.
category: System
exposed: True
exposed-modules:
    System.Posix System.Posix.ByteString System.Posix.Error
    System.Posix.Resource System.Posix.Time System.Posix.Unistd
    System.Posix.User System.Posix.Signals System.Posix.Signals.Exts
    System.Posix.Semaphore System.Posix.SharedMem
    System.Posix.ByteString.FilePath System.Posix.Directory
    System.Posix.Directory.ByteString System.Posix.DynamicLinker.Module
    System.Posix.DynamicLinker.Module.ByteString
    System.Posix.DynamicLinker.Prim
    System.Posix.DynamicLinker.ByteString System.Posix.DynamicLinker
    System.Posix.Files System.Posix.Files.ByteString System.Posix.IO
    System.Posix.IO.ByteString System.Posix.Env
    System.Posix.Env.ByteString System.Posix.Fcntl System.Posix.Process
    System.Posix.Process.Internals System.Posix.Process.ByteString
    System.Posix.Temp System.Posix.Temp.ByteString
    System.Posix.Terminal System.Posix.Terminal.ByteString
hidden-modules: System.Posix.Directory.Common
                System.Posix.DynamicLinker.Common System.Posix.Files.Common
                System.Posix.IO.Common System.Posix.Process.Common
                System.Posix.Terminal.Common
abi: b4c7c38b5c8d1a34f965a1b0d61a4df3
trusted: False
import-dirs: /usr/lib/ghc-8.0.1/unix-2.7.2.0
library-dirs: /usr/lib/ghc-8.0.1/unix-2.7.2.0
data-dir: /usr/share/arm-linux-ghc-8.0.1/unix-2.7.2.0
hs-libraries: HSunix-2.7.2.0
extra-libraries:
    rt util dl pthread
include-dirs: /usr/lib/ghc-8.0.1/unix-2.7.2.0/include
includes:
    HsUnix.h execvpe.h
depends:
    base-4.9.0.0 bytestring-0.10.8.1 time-1.6.0.1
haddock-interfaces: /usr/share/doc/ghc/html/libraries/unix-2.7.2.0/unix.haddock
haddock-html: /usr/share/doc/ghc/html/libraries/unix-2.7.2.0
